#ifndef MAXWELL_SAMPLES
#define MAXWELL_SAMPLES

#include <list>

#include "sample.h"

// user-accessible list of samples to plot
class samples {
public:
  samples(double Hscale, double Vscale);

  samples& add(const sample& s);

  void plot(double Umin, double Umax, unsigned int num_pts) const;

private:
  std::list<sample> m_elts;

  double m_Hscale;
  double m_Vscale;
  // return approximate TR corner of smallest screen containing our plots
  ePiX::P TR(double Tmin, double Tmax) const;

}; // end of samples class

#endif /* MAXWELL_SAMPLES */
